Package org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature

# Class AbstractFeatureCrs

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature.AbstractFeatureCrs

Direct Known Subclasses:
  `FeatureCrsParameter`, `FeatureCrsParameterDefault`, `FeatureCrsParameterInvalid`, `FeatureCrsParameterTransform`

public class AbstractFeatureCrs extends CommonFixture

AbstractFeatureCrs class.

Author:
  Lyn Goltz

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,List<CoordinateSystem>>`
  `collectionIdToCrs`
  `protected Map<String,CoordinateSystem>`
  `collectionIdToDefaultCrs`
  `protected Map<String,String>`
  `collectionIdToFeatureId`
  `protected Map<String,io.restassured.path.json.JsonPath>`
  `collectionsResponses`

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractFeatureCrs()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Object[]>`
  `collectionFeatureId(org.testng.ITestContext testContext)`
  collectionFeatureId.
  `void`
  `retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)`
  retrieveRequiredInformationFromTestContext.

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### collectionsResponses

    protected Map<String,io.restassured.path.json.JsonPath> collectionsResponses

  - ### collectionIdToCrs

    protected Map<String,List<CoordinateSystem>> collectionIdToCrs

  - ### collectionIdToDefaultCrs

    protected Map<String,CoordinateSystem> collectionIdToDefaultCrs

  - ### collectionIdToFeatureId

    protected Map<String,String> collectionIdToFeatureId

- ## Constructor Details

  - ### AbstractFeatureCrs

    public AbstractFeatureCrs()

- ## Method Details

  - ### retrieveRequiredInformationFromTestContext

    @BeforeClass public void retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)

    retrieveRequiredInformationFromTestContext.

    Parameters:
      `testContext` - a `ITestContext` object

  - ### collectionFeatureId

    @DataProvider(name="collectionFeatureId") public Iterator<Object[]> collectionFeatureId(org.testng.ITestContext testContext)

    collectionFeatureId.

    Parameters:
      `testContext` - a `ITestContext` object
    Returns:
      a `Iterator` object